package util;

public class ColumnMeta {
    String database = null;
    String schema;
    String table;
    String column;

    public ColumnMeta(String schema, String table, String column) {
        this.schema = schema;
        this.table = table;
        this.column = column;
    }

    public String getDatabase() {
        return this.database;
    }

    public void setDatabase(String database) {
        this.database = database;
    }

    public String getSchema() {
        return this.schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public String getTable() {
        return this.table;
    }

    public void setTable(String table) {
        this.table = table;
    }

    public String getColumn() {
        return this.column;
    }

    public void setColumn(String column) {
        this.column = column;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        } else if (o != null && this.getClass() == o.getClass()) {
            ColumnMeta that;
            label57: {
                that = (ColumnMeta)o;
                if (this.database != null) {
                    if (this.database.equalsIgnoreCase(that.database)) {
                        break label57;
                    }
                } else if (that.database == null) {
                    break label57;
                }

                return false;
            }

            label50: {
                if (this.schema != null) {
                    if (this.schema.equalsIgnoreCase(that.schema)) {
                        break label50;
                    }
                } else if (that.schema == null) {
                    break label50;
                }

                return false;
            }

            if (this.table != null) {
                if (!this.table.equalsIgnoreCase(that.table)) {
                    return false;
                }
            } else if (that.table != null) {
                return false;
            }

            if (this.column != null) {
                if (!this.column.equalsIgnoreCase(that.column)) {
                    return false;
                }
            } else if (that.column != null) {
                return false;
            }

            return true;
        } else {
            return false;
        }
    }

    public int hashCode() {
        int result = 17;
        result = 31 * result + (this.database != null ? this.database.hashCode() : 0);
        result = 31 * result + (this.schema != null ? this.schema.hashCode() : 0);
        result = 31 * result + (this.table != null ? this.table.hashCode() : 0);
        result = 31 * result + (this.column != null ? this.column.hashCode() : 0);
        return result;
    }
}
